from datetime import datetime
from time import sleep
import csv
import glob

base_dir = '/sys/bus/w1/devices/'
device_folder = glob.glob(base_dir + '28*')[0]
device_file = device_folder + '/w1_slave'
dtFormat = '%y-%m-%d %H:%M:%S'
 
def read_temp_raw():
    with open(device_file, 'r') as tf:
        lines = tf.readlines()
    return lines
 
def read_temp():
    lines = read_temp_raw()
    while lines[0].strip()[-3:] != 'YES':
        time.sleep(0.2)
        lines = read_temp_raw()
    temp_pos = lines[1].find('t=')
    if temp_pos != -1:
        temp_string = lines[1][temp_pos+2:]
        temp_c = float(temp_string) / 1000.0
        return "%2.1f" % (temp_c)

#main
print("save tempdata.csv start\n")
try:
    while True:
        with open('tempdata.csv','a') as f:
            now = datetime.now()
            time = now.strftime(dtFormat)
            tcel = read_temp()
            row = [time,tcel]
            writer=csv.writer(f)
            writer.writerow(row)
        print(row)
        sleep(1)

except KeyboardInterrupt:
    print("end")
    pass
